### Method

# Gtk Assistantset_forward_page_func

deprecated: 4.10

#### Declaration [src]

    void
    gtk_assistant_set_forward_page_func (
      GtkAssistant* assistant,
      GtkAssistantPageFunc page_func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the page forwarding function to be `page_func`.

This function will be used to determine what will be the next page when the user presses the forward button. Setting `page_func` to `NULL` will make the assistant to use the default forward function, which just goes to the next visible page.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`page_func`

  Type: `GtkAssistantPageFunc`

  The `GtkAssistantPageFunc`, or `NULL` to use the default one.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  User data for `page_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `data`.